Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UITogglePanel.Properties

    java.lang.Object
      java.lang.Enum<UITogglePanel.Properties>
          org.richfaces.component.UITogglePanel.Properties

All Implemented Interfaces:
  Serializable, Comparable<UITogglePanel.Properties>

Enclosing class:
  UITogglePanel

    protected static enum UITogglePanel.Properties

extends Enum<UITogglePanel.Properties>

Enum Constant Summary
`cycledSwitching`
`data`
`dir`
`execute`
`itemChangeListener`
`lang`
`limitRender`
`onbeforeitemchange`
`onclick`
`ondblclick`
`onitemchange`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`render`
`status`
`style`
`styleClass`
`title`

Method Summary
`static UITogglePanel.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UITogglePanel.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### cycledSwitching

    public static final UITogglePanel.Properties cycledSwitching

### data

    public static final UITogglePanel.Properties data

### dir

    public static final UITogglePanel.Properties dir

### execute

    public static final UITogglePanel.Properties execute

### itemChangeListener

    public static final UITogglePanel.Properties itemChangeListener

### lang

    public static final UITogglePanel.Properties lang

### limitRender

    public static final UITogglePanel.Properties limitRender

### onbeforeitemchange

    public static final UITogglePanel.Properties onbeforeitemchange

### onclick

    public static final UITogglePanel.Properties onclick

### ondblclick

    public static final UITogglePanel.Properties ondblclick

### onitemchange

    public static final UITogglePanel.Properties onitemchange

### onmousedown

    public static final UITogglePanel.Properties onmousedown

### onmousemove

    public static final UITogglePanel.Properties onmousemove

### onmouseout

    public static final UITogglePanel.Properties onmouseout

### onmouseover

    public static final UITogglePanel.Properties onmouseover

### onmouseup

    public static final UITogglePanel.Properties onmouseup

### render

    public static final UITogglePanel.Properties render

### status

    public static final UITogglePanel.Properties status

### style

    public static final UITogglePanel.Properties style

### styleClass

    public static final UITogglePanel.Properties styleClass

### title

    public static final UITogglePanel.Properties title

Method Detail

### values

    public static UITogglePanel.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UITogglePanel.Properties c : UITogglePanel.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UITogglePanel.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.